Name:           perl-Type-Tiny
Version:        2.004000
Release:    5%{?dist}
Summary:        Tiny, yet Moo(se)-compatible type constraint
License:        GPL-1.0-or-later OR Artistic-1.0-Perl
URL:            https://metacpan.org/release/Type-Tiny
Source0:        https://cpan.metacpan.org/authors/id/T/TO/TOBYINK/Type-Tiny-%{version}.tar.gz
BuildArch:      noarch

%bcond_with reply_plugin

BuildRequires:  coreutils
BuildRequires:  findutils
BuildRequires:  sed
BuildRequires:  %{__make}
BuildRequires:  %{__perl}

BuildRequires:  perl-interpreter
BuildRequires:  perl-generators
BuildRequires:  perl(:VERSION) >= 5.6.1

BuildRequires:  perl(B)
BuildRequires:  perl(B::Deparse)
BuildRequires:  perl(Carp)
BuildRequires:  perl(Config)
BuildRequires:  perl(constant)
BuildRequires:  perl(CPAN::Meta::Requirements)
BuildRequires:  perl(Data::Dumper)
BuildRequires:  perl(Encode)
BuildRequires:  perl(Exporter::Tiny) >= 1.004001
BuildRequires:  perl(ExtUtils::MakeMaker) >= 6.17
BuildRequires:  perl(experimental)
BuildRequires:  perl(feature)
BuildRequires:  perl(lib)
BuildRequires:  perl(Math::BigFloat)
BuildRequires:  perl(Scalar::Util)
BuildRequires:  perl(Test::Fatal)
BuildRequires:  perl(Test::Moose)
BuildRequires:  perl(Test::More) >= 0.96
BuildRequires:  perl(Test::Requires)
BuildRequires:  perl(Test::Tester) >= 0.109
BuildRequires:  perl(Test::Deep)
BuildRequires:  perl(Text::Balanced)
BuildRequires:  perl(overload)
BuildRequires:  perl(strict)
BuildRequires:  perl(threads)
BuildRequires:  perl(Tie::Array)
BuildRequires:  perl(Tie::Hash)
BuildRequires:  perl(Tie::Scalar)
BuildRequires:  perl(utf8)
BuildRequires:  perl(warnings)

BuildRequires:  perl(Class::ISA)
BuildRequires:  perl(Data::Constraint)
BuildRequires:  perl(Devel::Hide)
BuildRequires:  perl(Devel::LexAlias) >= 0.05
BuildRequires:  perl(Devel::Refcount)
BuildRequires:  perl(Devel::StackTrace)
BuildRequires:  perl(Exporter) >= 5.59
BuildRequires:  perl(Function::Parameters)
BuildRequires:  perl(IO::String)
BuildRequires:  perl(JSON::PP) >= 2.27105
BuildRequires:  perl(match::simple)
BuildRequires:  perl(Method::Generate::Accessor)
BuildRequires:  perl(Moo)
BuildRequires:  perl(Moo::Role)
%if !%{defined perl_bootstrap}
BuildRequires:  perl(MooX::TypeTiny)
%endif
BuildRequires:  perl(Moose) >= 2.0400
BuildRequires:  perl(Moose::Meta::TypeCoercion)
BuildRequires:  perl(Moose::Meta::TypeCoercion::Union)
BuildRequires:  perl(Moose::Meta::TypeConstraint)
BuildRequires:  perl(Moose::Meta::TypeConstraint::Class)
BuildRequires:  perl(Moose::Meta::TypeConstraint::DuckType)
BuildRequires:  perl(Moose::Meta::TypeConstraint::Enum)
BuildRequires:  perl(Moose::Meta::TypeConstraint::Union)
BuildRequires:  perl(Moose::Util::TypeConstraints)
BuildRequires:  perl(MooseX::Getopt) >= 0.63
BuildRequires:  perl(MooseX::Types)
BuildRequires:  perl(MooseX::Types::Common)
BuildRequires:  perl(MooseX::Types::Moose)
BuildRequires:  perl(Mouse)
BuildRequires:  perl(Mouse::Meta::TypeConstraint)
BuildRequires:  perl(Mouse::Util)
BuildRequires:  perl(Mouse::Util::TypeConstraints)
BuildRequires:  perl(MouseX::Types)
BuildRequires:  perl(MouseX::Types::Common)
BuildRequires:  perl(MouseX::Types::Moose)
BuildRequires:  perl(mro)
BuildRequires:  perl(Object::Accessor)
BuildRequires:  perl(re)
BuildRequires:  perl(Ref::Util::XS) > 0.100
%{?with_reply_plugin:BuildRequires:  perl(Reply::Plugin)}
%if !%{defined perl_bootstrap}
BuildRequires:  perl(Return::Type) >= 0.004
%endif
BuildRequires:  perl(Role::Tiny)
BuildRequires:  perl(Role::Tiny::With)
BuildRequires:  perl(Sub::Exporter::Lexical) >= 0.092291
BuildRequires:  perl(Specio)
BuildRequires:  perl(Specio::Library::Builtins)
BuildRequires:  perl(Sub::Name)
BuildRequires:  perl(Sub::Quote)
%{?with_reply_plugin:BuildRequires:  perl(Term::ANSIColor)}
BuildRequires:  perl(Test::Memory::Cycle)
BuildRequires:  perl(Test::Warnings)
%if !%{defined perl_bootstrap}
BuildRequires:  perl(Type::Tiny::XS)
BuildRequires:  perl(Types::Path::Tiny)
BuildRequires:  perl(Validation::Class) >= 7.900017
BuildRequires:  perl(Validation::Class::Simple)
%endif

Requires:       perl(B::Deparse)
Requires:       perl(Carp)
Requires:       perl(Data::Dumper)

Recommends:	perl(Type::Tiny::XS)

%description
Type::Tiny is a tiny class for creating Moose-like type constraint objects
which are compatible with Moo, Moose and Mouse.

%package -n perl-Test-TypeTiny
Summary: Test::TypeTiny module

%description -n perl-Test-TypeTiny
Test::TypeTiny module.

%prep
%setup -q -n Type-Tiny-%{version}
rm -r ./inc
sed -i -e '/^inc\//d' MANIFEST

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor NO_PACKLIST=1 NO_PERLLOCAL=1
%{make_build}

%install
%{make_install} DESTDIR=%{buildroot}
%{_fixperms} %{buildroot}/*

%check
%{__make} test

%files
%doc Changes CREDITS NEWS README
%license LICENSE COPYRIGHT
%{perl_vendorlib}/*
%{!?with_reply_plugin:%exclude %{perl_vendorlib}/Reply}
%{_mandir}/man3/*
%exclude %{perl_vendorlib}/Test
%exclude %{_mandir}/man3/Test::TypeTiny.3pm*

%files -n perl-Test-TypeTiny
%{perl_vendorlib}/Test
%{_mandir}/man3/Test::TypeTiny.3pm*

%changelog
* Tue Jul 02 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 2.004000-5
- rebuild

* Tue Jul 02 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 2.004000-4
- disable perl_bootstrap

* Tue Jul 02 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 2.004000-3
- define perl_bootstrap for bootstrap build

* Tue Jul 02 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 2.004000-2
- rebuild

* Thu Jun 20 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 2.004000-1
- initial build
